require 'rails_helper'

RSpec.describe ProxyAuth::Token do
  subject { described_class.instance }

  context '#valid?' do
    it 'returns true for valid token' do
      expect(subject.valid? subject.token).to be_truthy
    end

    it 'returns false for invalid token' do
      expect(subject.valid? "#{subject.token}1").to be_falsey
    end
  end
end
